## DESCRIPTION

*d.font* allows the user to select use of a specific text font for
display of text on the graphics monitor. If the user does not specify a
font when using other GRASS programs that display text, the font type
*romans* is used by default.

The user can run this program either non-interactively or interactively.
If the user specifies a font type name on the command line the program
will run non-interactively. Alternately, the user can simply type
**d.font** on the command line; in this case, the program will prompt
the user for a display text font type.

Font options (italized):

- *cyrilc*: Cyrillic
- *gothgbt*: Gothic Great Britain triplex
- *gothgrt*: Gothic German triplex
- *gothitt*: Gothic Italian triplex
- *greekc*: Greek complex
- *greekcs*: Greek complex script
- *greekp*: Greek plain
- *greeks*: Greek simplex
- *italicc*: Italian complex
- *italiccs*: Italian complex small
- *italict*: Italian triplex
- *romanc*: Roman complex
- *romancs*: Roman complex small
- *romand*: Roman duplex
- *romanp*: Roman plain
- *romans*: Roman simplex
- *romant*: Roman triplex
- *scriptc*: Script complex
- *scripts*: Script simplex

## NOTES

The font type *romans* is the fastest font type to display to the
graphics monitor.

## SEE ALSO

*[d.text](d.text.md)*  
*[d.title](d.title.md)*

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

*d.font* uses the public domain version of the Hershey Fonts created by
Dr. A.V. Hershey while working at the U.S. National Bureau of Standards.
