## DESCRIPTION

The *r3.out.bin* program exports a GRASS 3D raster map to a binary array
file. Optionally, output can be send to standard output (stdout) for
direct input (pipe) into other applications. Data is exported according
to the original GRASS 3D raster type (float, double).

## NOTES

The write order of the rows (north-\>south to south-\>north) and the
write order of the depths (bottom-\>top to top-\>bottom) can be
switched.

The region parameters are printed to stderr when setting the verbose
flag. Export of little and big endian byte order is supported.

Have a look at [r3.out.ascii](r3.out.ascii.md) manual page that
describes the internal layout of the 3D raster maps and the supported
row and depth switch options.

## EXAMPLES

Have a look at the examples in [r3.in.bin](r3.in.bin.md).

## SEE ALSO

*[r3.in.bin](r3.in.bin.md), [r3.in.ascii](r3.in.ascii.md)*

## AUTHOR

Sören Gebbert, based on r.out.bin from Bob Covill and Glynn Clements
