**Description of modifications made to r3.showdspf directory during
conversion of code from IrisGL (running only on SGI workstations) to
OpenGL (running on any OpenGL-capable UNIX workstation)**

The following files were changed (and perhaps renamed during
conversion)  
`do_color.c -> do_color_ogl.c`  
`draw_cap.c -> draw_cap_ogl.c`  
`draw_polys.c -> draw_polys_ogl.c`  
`draw_cappolys.c -> draw_cappolys_ogl.c`  
`main.c -> main_ogl.c`  
`init_caps.c -> init_caps.c`  
`vizual.h -> vizual.h`  
`Gmakefile -> Gmakefile`  
  
The following files are new files  
`new_init_graphics.c`  
`kns_defines.h`  
`kns_globals.h`  
`togif.c`  
`togif.h`  
  
The following files are unchanged:  
`cap_data.c`  
`init_caps.c`  
`debugf.c`  
`thresh_array.c`  
`make_header.c`  
`r3_data.c`  
`r3_find.c`  
  
The following files removed since they were made unnecessary  
`init_graphics.c`  
`dump_rect.c -> functions moved to new_init_graphics.c`  
axes2.c  
  
**\*\*\* Disclaimer \*\*\***  
The porting effort from IrisGL to OpenGL was performed with the goal of
just getting things to run with OpenGL with some user-interface
improvements. Only a small attempt was made to correct for
sloppy/dangerous coding practices found in the **original** code.
Sloppy/dangerous coding practices were modified only when they resulted
in serious code errors (causing core dumps). Certain files, such as
new_init_graphics.c, which were totally new files, were coded to higher
standards. In general, this effort was only a porting effort, **not** a
re-architecting effort.  
  
Above modifications made by:  
Ken Sakai  
Lockheed Martin Space Systems  
Sunnyale, California  
Modification date: March 2000
